#include <util/delay.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "lcd.h"
#include "dht22.h"
#include "USART_RS232_H_file.h"

int main(void)
{
	LCD_init();
	USART_Init(115200);
	struct dht22 senzor;
	char buf[30];
	float temp, hum;
	dht_init(&senzor, PD4);
	DDRC |= (1<<PC2);
	PORTC|= (1<<PC2);
	

	while(1) {
		dht_read_data(&senzor, &temp, &hum);

		int t = floor(temp);
		int h = floor(hum);
		char t_char[20], tmp[4],humi[4];

		itoa(t, tmp, 10);
		itoa(h, humi, 10);

		strcpy(buf, "*");
		strcat(buf, tmp);
		strcat(buf, "x");
		strcat(buf, humi);
		strcat(buf, "y");

		//USART_SendString(buf);
		for (int i = 0; i < strlen(buf); i++)
			USART_TxChar(buf[i]);
		_delay_ms(25000);
		
		strcpy(t_char, "Temp: ");
		strcat(t_char, tmp);
		strcat(t_char, "Hum: ");
		strcat(t_char, humi);
		
		// for (int i = 0; i < strlen(buf); i++)
		// 	LCD_putChar(buf[i]);
		LCD_writeInstr(LCD_INSTR_clearDisplay);
		LCD_print(t_char);
		//_delay_ms(5000);
		
		
		// int i;
		// for (i = 0; i < strlen(buf); i++)
		// 	USART_TxChar(buf[i]);
		// _delay_ms(3000);
		// for (i = 0; i < strlen(buf_h); i++)
		// 	USART_TxChar(buf_h[i]);
		//USART_SendString(buf);
		//_delay_ms(3000);
		//USART_SendString(buf_h);
	}
	return 0;
}
